comedi_lock
Prev | 5.4.1. Core Functions | Next

## Name

comedi_lock — subdevice reservation

## Synopsis

    #include <comedilib.h>

`int comedi_lock(` | comedi_t * device,
| unsigned int subdevice`)`;

## Description

The function `comedi_lock` reserves a subdevice for use by the current process. While the lock is held, no other process is allowed to read, write, or configure that subdevice, although other processes can read information about the subdevice. The lock is released by `comedi_unlock`, or when `comedi_close` is called on `device`.

## Return value

If successful, `0` is returned. If there is an error, `-1` is returned.

Prev | Up | Next
comedi_internal_trigger | Home | comedi_maxdata_is_chan_specific